Bug 1808864 - man page of mount.fuse contains removed option nonempty
Summary: man page of mount.fuse contains removed option nonempty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-sshfs
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-01 17:41 UTC by customercare
Modified: 2020-03-20 01:47 UTC (History)
5 users (show)

Fixed In Version: fuse-sshfs-3.7.0-3.fc32 fuse-sshfs-3.7.0-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:38:25 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2020-03-01 17:41:29 UTC
Description of problem:

the manpage of mount.fuse contains this:

"
       nonempty
              Allows mounts over a non-empty file or directory. By default these   mounts  are  rejected  to  prevent
              accidental covering up of data, which could for example prevent automatic backup.
"

but that option got removed a while ago, which results in:

$ sshfs -o "nosuid,nodev,noatime,reconnect,nonempty,default_permissions,password_stdin,ServerAliveInterval=15" user@server:/home/user /path/to/mnt

fuse: unknown option(s): `-o nonempty'


According to this announce for fuse3 

http://fuse.996288.n3.nabble.com/ANNOUNCE-libfuse-3-0-0-has-been-released-td14403.html

"* The `-o nonempty` mount point has been removed, mounting over
  non-empty directories is now always allowed. This brings the
  behavior of FUSE file systems in-line with the behavior of the
  regular `mount` command. "


which can only mean, as rpm package has 2.9.9, someone backported this from fuse3 already.

As it gets removed anyway, i suggest to simply change the man page content :D



Version-Release number of selected component (if applicable):

fuse-2.9.9-7.fc30.x86_64

Comment 1 Peter Lemenkov 2020-03-04 14:36:06 UTC
AFAIK sshfs (rom Fedora) uses fuse3, so you should refer to man mount.fuse3. Unfortunately some fuse mount helpers still repy on fuse < 3.0.0 while some already switched to fuse3. As the result we have issues like that.

Technically this ticket should be closed as notabug since man mount.fuse does contains nonempty and it recognizes this option while man mount.fuse3 (which sshfs relies upon) doesn't.

Comment 2 customercare 2020-03-06 08:04:45 UTC
Hmm.. it's a pure documentation problem, so simply fix the reference from mount.fuse to mount.fuse3 in man mount.sshfs and the br can be closed.

Comment 3 Peter Lemenkov 2020-03-11 14:58:47 UTC
(In reply to customercare from comment #2)
> Hmm.. it's a pure documentation problem, so simply fix the reference from
> mount.fuse to mount.fuse3 in man mount.sshfs and the br can be closed.

Agree. I'll provide builds shortly.

Comment 4 Fedora Update System 2020-03-11 16:45:15 UTC
FEDORA-2020-21c82c2155 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-21c82c2155

Comment 5 Fedora Update System 2020-03-11 16:45:15 UTC
FEDORA-2020-ebed0fc533 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ebed0fc533

Comment 6 Fedora Update System 2020-03-12 18:49:46 UTC
fuse-sshfs-3.7.0-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-21c82c2155

Comment 7 Fedora Update System 2020-03-12 22:59:26 UTC
fuse-sshfs-3.7.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ebed0fc533

Comment 8 Fedora Update System 2020-03-16 20:38:25 UTC
fuse-sshfs-3.7.0-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-03-20 01:47:49 UTC
fuse-sshfs-3.7.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.